> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Signature-verified Stripe webhook receiver that fulfils top-ups



## OpenAPI

````yaml /openapi.json post /api/v1/webhooks/stripe
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/webhooks/stripe:
    post:
      summary: Signature-verified Stripe webhook receiver that fulfils top-ups
      operationId: handleStripeWebhook
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StripeWebhookEvent'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StripeWebhookAck'
      security: []
components:
  schemas:
    StripeWebhookEvent:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
      required:
        - id
        - type
      additionalProperties: false
    StripeWebhookAck:
      type: object
      properties:
        received:
          type: boolean
        status:
          type: string
      required:
        - received
        - status
      additionalProperties: false

````